MultipointBioSender (Apache Tomcat 9.0.104 API Documentation)
Description: declaration: package: org.apache.catalina.tribes.transport.bio, class: MultipointBioSender

# Class MultipointBioSender

java.lang.Object
org.apache.catalina.tribes.transport.AbstractSender
org.apache.catalina.tribes.transport.bio.MultipointBioSender

All Implemented Interfaces:
  `DataSender`, `MultiPointSender`

@Deprecated public class MultipointBioSender extends AbstractSender implements MultiPointSender
Deprecated.
This will be removed in Tomcat 10

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final HashMap<Member,BioSender>`
  `bioSenders`
  Deprecated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MultipointBioSender()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(Member member)`
  Deprecated.
  Send to the specified member.
  `void`
  `connect()`
  Deprecated.
  Connect.
  `void`
  `disconnect()`
  Deprecated.
  Disconnect.
  `protected void`
  `finalize()`
  Deprecated.
  `boolean`
  `keepalive()`
  Deprecated.
  Keepalive.
  `void`
  `remove(Member member)`
  Deprecated.
  Stop sending to the specified member.
  `void`
  `sendMessage(Member[] destination, ChannelMessage msg)`
  Deprecated.
  Send the specified message.
  `protected BioSender[]`
  `setupForSend(Member[] destination)`
  Deprecated.

  ### Methods inherited from class org.apache.catalina.tribes.transport.AbstractSender

  `getAddress, getAttempt, getConnectTime, getDestination, getDirectBuffer, getKeepAliveCount, getKeepAliveTime, getMaxRetryAttempts, getOoBInline, getPort, getRequestCount, getRxBufSize, getSoKeepAlive, getSoLingerOn, getSoLingerTime, getSoReuseAddress, getSoTrafficClass, getTcpNoDelay, getThrowOnFailedAck, getTimeout, getTxBufSize, getUdpPort, getUdpRxBufSize, getUdpTxBufSize, isConnected, isUdpBased, setAddress, setAttempt, setConnected, setConnectTime, setDestination, setDirectBuffer, setKeepAliveCount, setKeepAliveTime, setMaxRetryAttempts, setOoBInline, setPort, setRequestCount, setRxBufSize, setSoKeepAlive, setSoLingerOn, setSoLingerTime, setSoReuseAddress, setSoTrafficClass, setTcpNoDelay, setThrowOnFailedAck, setTimeout, setTxBufSize, setUdpBased, setUdpPort, setUdpRxBufSize, setUdpTxBufSize, transferProperties`

  ### Methods inherited from class java.lang.Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.catalina.tribes.transport.DataSender

  `getConnectTime, getRequestCount, isConnected, setKeepAliveCount, setKeepAliveTime, setRxBufSize, setTimeout, setTxBufSize`

  ### Methods inherited from interface org.apache.catalina.tribes.transport.MultiPointSender

  `setDirectBuffer, setMaxRetryAttempts`

- ## Field Details

  - ### bioSenders

    protected final HashMap<Member,BioSender> bioSenders
    Deprecated.

- ## Constructor Details

  - ### MultipointBioSender

    public MultipointBioSender()
    Deprecated.

- ## Method Details

  - ### sendMessage

    public void sendMessage(Member[] destination, ChannelMessage msg) throws ChannelException
    Deprecated.
    Description copied from interface: `MultiPointSender`
    Send the specified message.
    Specified by:
      `sendMessage` in interface `MultiPointSender`
    Parameters:
      `destination` - the message destinations
      `msg` - the data to send
    Throws:
      `ChannelException` - if an error occurs

  - ### setupForSend

    protected BioSender[] setupForSend(Member[] destination) throws ChannelException
    Deprecated.
    Throws:
      `ChannelException`

  - ### connect

    public void connect() throws IOException
    Deprecated.
    Description copied from interface: `DataSender`
    Connect.
    Specified by:
      `connect` in interface `DataSender`
    Throws:
      `IOException` - when an error occurs

  - ### add

    public void add(Member member)
    Deprecated.
    Description copied from interface: `MultiPointSender`
    Send to the specified member.
    Specified by:
      `add` in interface `MultiPointSender`
    Parameters:
      `member` - the member

  - ### remove

    public void remove(Member member)
    Deprecated.
    Description copied from interface: `MultiPointSender`
    Stop sending to the specified member.
    Specified by:
      `remove` in interface `MultiPointSender`
    Parameters:
      `member` - the member

  - ### disconnect

    public void disconnect()
    Deprecated.
    Description copied from interface: `DataSender`
    Disconnect.
    Specified by:
      `disconnect` in interface `DataSender`

  - ### finalize

    protected void finalize() throws Throwable
    Deprecated.
    Overrides:
      `finalize` in class `Object`
    Throws:
      `Throwable`

  - ### keepalive

    public boolean keepalive()
    Deprecated.
    Description copied from interface: `DataSender`
    Keepalive.
    Specified by:
      `keepalive` in interface `DataSender`
    Overrides:
      `keepalive` in class `AbstractSender`
    Returns:
      `true` if kept alive